## GMimePkcs7Context GMimePkcs7Context — PKCS7 crypto contexts |

## Functions

GMimeCryptoContext * | g_mime_pkcs7_context_new ()
gboolean | g_mime_pkcs7_context_get_always_trust ()
void | g_mime_pkcs7_context_set_always_trust ()

## Types and Values

struct | GMimePkcs7Context

## Description

A GMimePkcs7Context is a GMimeCryptoContext that uses GnuPG to do all of the encryption and digital signatures.

## Functions

### g_mime_pkcs7_context_new ()

    GMimeCryptoContext *
    g_mime_pkcs7_context_new (GMimePasswordRequestFunc request_passwd);

Creates a new pkcs7 crypto context object.

#### Parameters

request_passwd | a GMimePasswordRequestFunc |

#### Returns

a new pkcs7 crypto context object.

[transfer full]

### g_mime_pkcs7_context_get_always_trust ()

    gboolean
    g_mime_pkcs7_context_get_always_trust (GMimePkcs7Context *ctx);

Gets the `always_trust` flag on the pkcs7 context.

#### Parameters

ctx | a GMimePkcs7Context |

#### Returns

the `always_trust` flag on the pkcs7 context.

### g_mime_pkcs7_context_set_always_trust ()

    void
    g_mime_pkcs7_context_set_always_trust (GMimePkcs7Context *ctx,
                                           gboolean always_trust);

Sets the `always_trust` flag on the pkcs7 context which is used for encryption.

#### Parameters

ctx | a GMimePkcs7Context |
always_trust | always trust flag |

## Types and Values

### struct GMimePkcs7Context

    struct GMimePkcs7Context {
    	GMimeCryptoContext parent_object;

    	struct _GMimePkcs7ContextPrivate *priv;
    };

A PKCS7 crypto context.

#### Members

GMimeCryptoContext `parent_object`; | parent GMimeCryptoContext |
struct _GMimePkcs7ContextPrivate *`priv`; | private context data |

## See Also

GMimeCryptoContext